<main class="responsive max">
    <slot/>
</main>

<script lang="ts">
	import { authToken } from "$lib";
	import { onMount } from "svelte";
    
    onMount(async () => {

        if (localStorage) {
            $authToken = localStorage.getItem("token") || "";
        }
    });
</script>